BeanAttributeList (dom4j 1.6.1 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.dom4j.bean
Class BeanAttributeList

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              org.dom4j.bean.BeanAttributeList

All Implemented Interfaces:
  Collection, List

public class BeanAttributeList
extends AbstractList

`BeanAttributeList` implements a list of Attributes which are the properties of a JavaBean.

Version:
  $Revision: 1.9 $
Author:
  James Strachan

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`BeanAttributeList(BeanElement parent)`
`BeanAttributeList(BeanElement parent, BeanMetaData beanMetaData)`

Method Summary
`void` | `add(int index, Object object)`
`boolean` | `add(Object object)`
`BeanAttribute` | `attribute(int index)`
`Attribute` | `attribute(QName qname)`
`Attribute` | `attribute(String name)`
`void` | `clear()`
`protected BeanAttribute` | `createAttribute(BeanElement element, int index)`
`Object` | `get(int index)`
`Object` | `getData(int index)`
`BeanElement` | `getParent()`
`QName` | `getQName(int index)`
`Object` | `remove(int index)`
`boolean` | `remove(Object object)`
`Object` | `set(int index, Object object)`
`void` | `setData(int index, Object data)`
`int` | `size()`

Methods inherited from class java.util.AbstractList
`addAll, equals, hashCode, indexOf, iterator, lastIndexOf, listIterator, listIterator, removeRange, subList`

Methods inherited from class java.util.AbstractCollection
`addAll, contains, containsAll, isEmpty, removeAll, retainAll, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`addAll, contains, containsAll, isEmpty, removeAll, retainAll, toArray, toArray`

Constructor Detail

### BeanAttributeList

    public BeanAttributeList(BeanElement parent,
                             BeanMetaData beanMetaData)

### BeanAttributeList

    public BeanAttributeList(BeanElement parent)

Method Detail

### attribute

    public Attribute attribute(String name)

### attribute

    public Attribute attribute(QName qname)

### attribute

    public BeanAttribute attribute(int index)

### getParent

    public BeanElement getParent()

### getQName

    public QName getQName(int index)

### getData

    public Object getData(int index)

### setData

    public void setData(int index,
                        Object data)

### size

    public int size()

### get

    public Object get(int index)

### add

    public boolean add(Object object)

### add

    public void add(int index,
                    Object object)

### set

    public Object set(int index,
                      Object object)

### remove

    public boolean remove(Object object)

### remove

    public Object remove(int index)

### clear

    public void clear()

### createAttribute

    protected BeanAttribute createAttribute(BeanElement element,
                                            int index)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.